      module energy
!-----------------------------------------------------------------------------
      use io_units
      use names
!      use math
      use MPI_data
      use energy_data
      use control_data
      use geometry_data
      use geometry
      contains
!-----------------------------------------------------------------------------
      subroutine etotal(etot)
      real(kind=8) :: etot,econst
      call constraint(econst)
      etot=econst
      end subroutine etotal
!-----------------------------------------------------------------------------
      subroutine constraint(econst)
!      use geometry
!      use geometry_data
      real(kind=8) :: econst,d
      real(kind=8),dimension(3) :: ocoord,ccoord
      integer :: dummy
      econst=0
      k0=k0/2
      dummy=ntyp1_molec(2)
      do i=1,nres
         if (itype(i,2).eq.dummy.or.itype(i+1,2).eq.dummy) cycle
         do j=1,3
            ocoord(j)=o3(j,i)
            ccoord(j)=c5(j,i+1)
         enddo
         d=cdist(ocoord,ccoord)
         econst=econst+k0*(d-md)**2
      enddo
      end subroutine constraint
!-----------------------------------------------------------------------------
      end module energy
